import 'package:widgets/load_state_layout.dart';

class MyFollowState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<Map<String, dynamic>> list;

  MyFollowState({
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    required this.list,
  });

  MyFollowState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    int? page,
    int? limit,
    int? count,
    List<Map<String, dynamic>>? list,
  }) {
    return MyFollowState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      list: list ?? this.list,
    );
  }
}