import 'package:cpt_main/modules/home/management_guides/test_guide_bean.dart';
import 'package:widgets/load_state_layout.dart';

class ManagementGuidesState {

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<TestGuideBean> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  ManagementGuidesState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  ManagementGuidesState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<TestGuideBean>? datas,
  }) {
    return ManagementGuidesState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }
}
