import 'package:domain/entity/user_me_entity.dart';
import 'package:widgets/load_state_layout.dart';

class MyEstateState{

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<UserMeEstates> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  MyEstateState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  MyEstateState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<UserMeEstates>? datas,
  }) {
    return MyEstateState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }

}