import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/facility_index_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/facility_index_entity.g.dart';

@JsonSerializable()
class FacilityIndexEntity {
	String? id;
	String? icon;
	String? name;

	FacilityIndexEntity();

	factory FacilityIndexEntity.fromJson(Map<String, dynamic> json) => $FacilityIndexEntityFromJson(json);

	Map<String, dynamic> toJson() => $FacilityIndexEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}