import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/notice_board_announ_entity.dart';

NoticeBoardAnnounEntity $NoticeBoardAnnounEntityFromJson(
    Map<String, dynamic> json) {
  final NoticeBoardAnnounEntity noticeBoardAnnounEntity = NoticeBoardAnnounEntity();
  final int? count = jsonConvert.convert<int>(json['count']);
  if (count != null) {
    noticeBoardAnnounEntity.count = count;
  }
  final int? page = jsonConvert.convert<int>(json['page']);
  if (page != null) {
    noticeBoardAnnounEntity.page = page;
  }
  final int? limit = jsonConvert.convert<int>(json['limit']);
  if (limit != null) {
    noticeBoardAnnounEntity.limit = limit;
  }
  final int? countPage = jsonConvert.convert<int>(json['count_page']);
  if (countPage != null) {
    noticeBoardAnnounEntity.countPage = countPage;
  }
  final List<dynamic>? list = (json['list'] as List<dynamic>?)?.map(
          (e) => e).toList();
  if (list != null) {
    noticeBoardAnnounEntity.list = list;
  }
  return noticeBoardAnnounEntity;
}

Map<String, dynamic> $NoticeBoardAnnounEntityToJson(
    NoticeBoardAnnounEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['count'] = entity.count;
  data['page'] = entity.page;
  data['limit'] = entity.limit;
  data['count_page'] = entity.countPage;
  data['list'] = entity.list;
  return data;
}

extension NoticeBoardAnnounEntityExtension on NoticeBoardAnnounEntity {
  NoticeBoardAnnounEntity copyWith({
    int? count,
    int? page,
    int? limit,
    int? countPage,
    List<dynamic>? list,
  }) {
    return NoticeBoardAnnounEntity()
      ..count = count ?? this.count
      ..page = page ?? this.page
      ..limit = limit ?? this.limit
      ..countPage = countPage ?? this.countPage
      ..list = list ?? this.list;
  }
}