import 'package:domain/entity/visitor_page_entity.dart';
import 'package:widgets/load_state_layout.dart';

class VisitorActiveState {

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<VisitorPageList> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  VisitorActiveState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  VisitorActiveState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<VisitorPageList>? datas,
  }) {
    return VisitorActiveState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }
}
